Skip to main content
POST
/
agent
/
version
/
update
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

payload = {
    "agent_id": "76286489-86a8-4540-b479-b0154e474555",
    "version_id": "69f884d50c4e5a2dc72277d4",
    "version": "1.0.1",
    "assistant_data": {
        "key": "value"
    },
    "composio_app": {
        "key": "value"
    }
}

response = client.agents.update_version(**payload)
print(response)
{
  "message": "Agent version created and deployed successfully",
  "version_id": "69f884d50c4e5a2dc72277d4",
  "version": "1.0.4"
}

Documentation Index

Fetch the complete documentation index at: https://docs.superu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Body

application/json

Request body for Update agent version.

Agent Version Update Request schema.

agent_id
string
required

Agent ID

Example:

"76286489-86a8-4540-b479-b0154e474555"

version_id
string
required

Version ID

Example:

"69f884d50c4e5a2dc72277d4"

version
string

New version label

Example:

"1.0.1"

assistant_data
object

Assistant data value.

Example:
{ "key": "value" }
composio_app
object

Optional composio app configuration.

Example:
{ "key": "value" }

Response

Version updated

Generic Response schema.

status
string

Status value.

Example:

"success"

message
string

Message value.

Example:

"Request completed successfully"

data
object

Data value.